### Struct

# FwupdPlugin UsbInterfaceHdr

#### Description

    struct FuUsbInterfaceHdr {
      GByteArray* buf;
      guint refcount;
    }

No description available.

###### Structure members

`buf` | No description available.
`refcount` | No description available.

#### Functions

###### fu_usb_interface_hdr_parse_stream

No description available.

#### Instance methods

###### fu_usb_interface_hdr_get_alternate_setting

No description available.

###### fu_usb_interface_hdr_get_interface

No description available.

###### fu_usb_interface_hdr_get_interface_class

No description available.

###### fu_usb_interface_hdr_get_interface_number

No description available.

###### fu_usb_interface_hdr_get_interface_protocol

No description available.

###### fu_usb_interface_hdr_get_interface_sub_class

No description available.

###### fu_usb_interface_hdr_get_length

No description available.

###### fu_usb_interface_hdr_get_num_endpoints

No description available.

###### fu_usb_interface_hdr_ref

No description available.

###### fu_usb_interface_hdr_unref

No description available.